{ config, pkgs, ... }:

{
  environment.shellAliases = {
    # Help command - shows all available nix commands
    "nix:help" = "echo '\n🔧 NixOS Configuration Commands:\n\n📋 Basic Operations:\n  nix:rebuild        - Rebuild and switch to new configuration\n  nix:conf:edit      - Edit the main configuration file\n  nix:conf:sync      - Sync local config to /etc/nixos/ without rebuild\n\n📝 Module Editing:\n  nix:edit:boot      - Edit boot configuration\n  nix:edit:net       - Edit networking configuration\n  nix:edit:desktop   - Edit desktop configuration\n  nix:edit:audio     - Edit audio configuration\n  nix:edit:users     - Edit user configuration\n  nix:edit:pkgs      - Edit packages configuration\n  nix:edit:programs  - Edit programs configuration\n  nix:edit:hardware  - Edit hardware configuration\n  nix:edit:services  - Edit services configuration\n  nix:edit:aliases   - Edit aliases configuration\n\n🔄 Git Operations:\n  nix:conf:push      - Copy config to /etc/nixos/, commit changes, and push to remote\n  nix:conf:pull      - Pull latest changes from remote and sync to /etc/nixos/\n\n💡 Use nix:help to see this list anytime!\n'";
    
    # Basic operations
    "nix:rebuild" = "sudo nixos-rebuild switch";
    "nix:conf:edit" = "sudo nano ~/Developer/nix/configuration.nix";
    "nix:conf:sync" = "sudo rm -rf /etc/nixos/configuration.nix && sudo cp ~/Developer/nix/configuration.nix /etc/nixos/configuration.nix && sudo rm -rf /etc/nixos/modules && sudo cp -r ~/Developer/nix/modules /etc/nixos/";
    
    # Module editing shortcuts
    "nix:edit:boot" = "sudo nano ~/Developer/nix/modules/boot.nix";
    "nix:edit:net" = "sudo nano ~/Developer/nix/modules/networking.nix";
    "nix:edit:desktop" = "sudo nano ~/Developer/nix/modules/desktop.nix";
    "nix:edit:audio" = "sudo nano ~/Developer/nix/modules/audio.nix";
    "nix:edit:users" = "sudo nano ~/Developer/nix/modules/users.nix";
    "nix:edit:pkgs" = "sudo nano ~/Developer/nix/modules/packages.nix";
    "nix:edit:programs" = "sudo nano ~/Developer/nix/modules/programs.nix";
    "nix:edit:hardware" = "sudo nano ~/Developer/nix/modules/hardware.nix";
    "nix:edit:services" = "sudo nano ~/Developer/nix/modules/services.nix";
    "nix:edit:aliases" = "sudo nano ~/Developer/nix/modules/aliases.nix";
    
    # Git operations
    "nix:conf:push" = "sudo rm -rf /etc/nixos/configuration.nix && sudo cp ~/Developer/nix/configuration.nix /etc/nixos/configuration.nix && sudo rm -rf /etc/nixos/modules && sudo cp -r ~/Developer/nix/modules /etc/nixos/ && cd ~/Developer/nix && git add -A && git commit -m \"$(date -u +%s)\" && git push";
    "nix:conf:pull" = "cd ~/Developer/nix && git pull && sudo rm -rf /etc/nixos/configuration.nix && sudo cp ~/Developer/nix/configuration.nix /etc/nixos/configuration.nix && sudo rm -rf /etc/nixos/modules && sudo cp -r ~/Developer/nix/modules /etc/nixos/";
  };
} 